Bug 483337 - denemo : Unowned directories
denemo : Unowned directories
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: denemo (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Roy Rankin
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-30 15:44 EST by Michael Schwendt
Modified: 2009-04-01 06:20 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-01 06:20:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Schwendt 2009-01-30 15:44:25 EST
One or more directories are not included within this
package and/or its sub-packages:

=> denemo-0.8.0-2.fc11.src.rpm
=> denemo-music-fonts-4.10-2.fc11.i386 (rawhide-development-i386)
/usr/share/fonts/denemo

[...]

Further information:

https://fedoraproject.org/wiki/Packaging/ReviewGuidelines

MUST: A package must own all directories that it creates. If it does not
create a directory that it uses, then it should require a package which
does create that directory.

https://fedoraproject.org/wiki/Packaging/Guidelines#FileAndDirectoryOwnership
https://fedoraproject.org/wiki/Packaging/UnownedDirectories

The script to find unowned directories is not complete yet, but
still quite usable: http://mschwendt.fedorapeople.org/dircheck-remote.py
$ ./dircheck-remote.py -r rawhide -n ^denemo
Comment 1 Roy Rankin 2009-02-02 23:08:49 EST
fixed in spec file for 0.8.2.1f11

Note You need to log in before you can comment on or make changes to this bug.